/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/




#include	"pfc.h"



int
get_pfc_interval(PFC * pfc)
{
int ret;
	if ( lock_pfc(pfc) < 0 )
		return -1;
	
	ret = load_pfc(pfc);
	if ( ret < 0 ) {
		unlock_pfc(pfc);
		return -1;
	}
	unlock_pfc(pfc);
	return pfc->interval;
}